Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Platform
Forge / Reference / APIs for Forge Containers

Forge Object Store

Postman Collection
OpenAPI
POST

Delete ObjectExperimental

Deletes an object from the object store.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required

Responses

Object deleted successfully

POST/forge/storage/os/v1/delete
1 2 3 4 5 6 7 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/delete' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>" }'
POST

Get MetadataExperimental

Get the metadata for the specified object in the payload.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required

Responses

Metadata retrieved successfully

application/json

OsObjectMetadataResponse
POST/forge/storage/os/v1/metadata
1 2 3 4 5 6 7 8 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/metadata' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>" }'
200Response
1 2 3 4 5 6 7 8 { "key": "<string>", "currentVersion": "<string>", "checksum": "<string>", "size": 2154, "createdAt": "<string>", "updatedAt": "<string>" }
POST

Get Upload URLExperimental

Generates a pre-signed URL for uploading an object.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required
length

integer

Required
checksum

string

Required
checksumType

string

Required
ttlSeconds

integer

overwrite

boolean

Responses

Upload URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/upload-url
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/upload-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>", "length": 2154, "checksum": "<string>", "checksumType": "SHA1", "ttlSeconds": 2154, "overwrite": true }'
200Response
1 2 3 { "url": "<string>" }
POST

Get Download URLExperimental

Generates a pre-signed URL for downloading an object.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

key

string

Required

Responses

Download URL generated successfully

application/json

OsUrlResponse
POST/forge/storage/os/v1/download-url
1 2 3 4 5 6 7 8 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/storage/os/v1/download-url' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "key": "<string>" }'
200Response
1 2 3 { "url": "<string>" }

Rate this page: